Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 25 Nov 2014, 19:28
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Nicotine on 5.2
Moderators: deshlab, Flash, GuestToo, Ian, JohnMurga, Lobster
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
tubeguy


Joined: 28 Aug 2009
Posts: 1332
Location: Park Ridge IL USA

PostPosted: Fri 14 Jan 2011, 08:45    Post_subject:  Nicotine on 5.2  

Soulseek fans, Nicotine runs on 5.2, here's what I did:

1-Install python from PPM
2-Get Nicotine source files here: http://sourceforge.net/projects/nicotine-plus/files/
3-Extract to ~/my-documents.
4-Go to folder you extracted to and set the file "setup.py" to be executable (right-click > file> permissions > yes)
5-Open console from folder and run "python setup.py install" (right-click in folder whitespace > window > terminal here)
6-Go to ~/.usr/bin and click the file "nicotine.py"

NOTES: I don't know if the devx sfs is needed or not for this. I always install it anyway, so I didn't try this without it.

The reason this even came up for me at all was because I went looking for an album and could not find it anywhere else. I was on the artist website with credit card in hand, and the store link was broken. So I checked the usual sources with no luck, then remembered SoulSeek from back in the day. A few minutes of Googling got me to the Nicotine page. I tried installing the debian deb and the ubuntu deb with no luck, finally decided to take a crack at compiling from source. Happily it was not the crazy convoluted process I expected, it was as simple as described above.

_________________
MSI 970A-G46/AMD FX-8150/Plextor 128GB SSD/Corsair Vengeance 8GB: Tahr Pup 6
Back to top
View user's profile Send_private_message Visit_website 
GustavoYz


Joined: 07 Jul 2010
Posts: 897
Location: .ar

PostPosted: Tue 08 Feb 2011, 05:48    Post_subject:  

Great news...
Does somebody try to listen contemporary music from non-famous composers? No edited material on this country (as not big audience Rolling Eyes).
Soulseek its the best program for find that kind of academical music that you can't find anywhere else for being too weird, too new, too abstract or simply unsellable to have any price.

Thanks for the news, the last time that i tried to compile Nicotine (back on LuPu 501 Very Happy), it seems to work -after some troubles on compilation- but yet really 'buggy'.

Regards.

_________________

Back to top
View user's profile Send_private_message 
Dromeno

Joined: 12 Sep 2008
Posts: 538

PostPosted: Tue 07 May 2013, 08:09    Post_subject:  

I did what Tubeguy suggested but in Lucid Puppy 528005.

nicotine.py then ends up in /usr/local/bin, not ~/.usr/bin

but, more important, it won't start. This is the terminal output. What should I do now? In /usr/bin I have a glade and a glade-3 so I suppose glade is installed but Nicotine can not find it:


sh-4.1# nicotine.py
Tue 13:59 Nicotine supports "psyco", an inline optimizer for python code, you
can get it at http://sourceforge.net/projects/psyco/
di 13:59 Nicotine+ ondersteund een landcode-blokker, maar dat vereist een (GPL)
module genaamd 'GeoIP'. Je kunt het hier vinden: C bibliotheek:
http://www.maxmind.com/app/c Python bindings:
http://www.maxmind.com/app/python (de python bindings hebben de C
bibliotheek nodig)
di 13:59 Disabled UPnP support due to errors: Failed to import miniupnpc
module: No module named miniupnpc. Also: Failed to run upnpc binary:
Problem while executing command ['upnpc'] (1 of 1)
Traceback (most recent call last):
File "/usr/local/bin/nicotine.py", line 286, in <module>
run()
File "/usr/local/bin/nicotine.py", line 270, in run
from pynicotine.gtkgui import frame
File "/usr/local/lib/python2.6/dist-packages/pynicotine/gtkgui/frame.py", line 22, in <module>
import gtk, gtk.glade
ImportError: No module named glade
Back to top
View user's profile Send_private_message 
tubeguy


Joined: 28 Aug 2009
Posts: 1332
Location: Park Ridge IL USA

PostPosted: Tue 07 May 2013, 08:47    Post_subject:  

Good luck...all that stuff is over my head, I was just lucky it worked for me and thought I should post about it- I'm guessing nicotine and puppy have both changed enough that the current nicotine would have a problem with lucid, but I'm not a developer just a lucky user. Wink

Haven't thought about Soulseek in a while now!

_________________
MSI 970A-G46/AMD FX-8150/Plextor 128GB SSD/Corsair Vengeance 8GB: Tahr Pup 6
Back to top
View user's profile Send_private_message Visit_website 
Dromeno

Joined: 12 Sep 2008
Posts: 538

PostPosted: Wed 05 Jun 2013, 07:46    Post_subject:  

for the record: this nicotine plus approach does also work in Carolina rc4
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0735s ][ Queries: 12 (0.0247s) ][ GZIP on ]